<!--- Provide a general summary of your changes in the Title above -->

## Related Issue
<!-- This project only accepts pull requests related to open issues. -->
<!-- Please link to the issue here, or open an issue if you have not already. -->

## Description
<!-- in 1-3 sentences, please provide a high-level overview of what changes were made. -->
<!-- If appropriate, document your reasoning for why you made the changes the way you did. -->

## Changelog
<!-- What specific changes were made? List each change as a bullet point with a label. -->
<!-- See the issues tracker for a list of labels to use. -->
<!-- Some examples: -->

<!-- DOCS: add documentation about new app.sync() method -->
<!-- NEW: add app.sync() method to App object -->
<!-- CHANGE: update app.init() to call app.sync() -->

## Pull Request Checklist

- [ ] **[Open an issue](https://github.com/digitallinguistics/spec/issues/new)** for the change, if one is not open already. **NOTE:** It is a good idea to wait until your suggested change is approved by a maintainer before writing any code.

- [ ] **Make changes to the schemas or code.** The schemas are located in `/schemas/yaml`. _Do not update the schemas in `schemas/json`, or your changes will be overwritten._

- [ ] **Update the `"description"` field** of any schemas / properties that you change.

- [ ] **Update examples** in the affected schemas to reflect the changes you made.

- [ ] **Build the project** (`npm run build`)

- [ ] **Run the tests** (`npm test`) and fix issues that arise. If you find an issue that is unrelated to the one you are working on, open a new issue for it.

- [ ] **Update the project documentation** (`README.md`, `CONTRIBUTING.md`, etc.) to reflect the changes you made, if applicable.

- [ ] **Build the project documentation** (`npm run docs`)
